Bug 517917 - NV1f chipset. Screen moved one line down.
NV1f chipset. Screen moved one line down.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-17 17:15 EDT by Al Thomas
Modified: 2012-08-06 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 15:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot - X11 one line down (213.26 KB, image/jpeg)
2009-08-17 17:15 EDT, Al Thomas
no flags Details
X11 screen moved down one line - slightly clearer image of top of screen (192.89 KB, image/jpeg)
2009-08-17 17:17 EDT, Al Thomas
no flags Details
screenshot VGA console - moved left one character (170.07 KB, image/jpeg)
2009-08-17 17:18 EDT, Al Thomas
no flags Details
Xorg.0.log (128.55 KB, text/plain)
2009-08-17 17:19 EDT, Al Thomas
no flags Details
smoltprofile.txt (6.02 KB, text/plain)
2009-08-17 17:19 EDT, Al Thomas
no flags Details
dmesg (28.59 KB, text/plain)
2009-08-17 17:20 EDT, Al Thomas
no flags Details

  None (edit)
Description Al Thomas 2009-08-17 17:15:51 EDT
Created attachment 357705 [details]
screen shot - X11 one line down

Description of problem:
X11 screen appears one line down, so bottom of screen cut off and band appears at top of screen.

Switching between a console and X11 corrects the problem, i.e. press Ctrl+Alt+F2 then Ctre+Alt+F1

Problem re-occurs when totem video player is used, screen moved down one line. Switching between console and X11 will correct again.

When switch to console all characters have been moved to the left by one, so first character of line appears on the far right of the line above.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.i586

How reproducible:
Every time

Steps to Reproduce:
1.Boot fedora
2.GDM display has screen moved down one line
3.Log in. X11 display is moved down one line
  
Actual results:
X11 screen moved down one line
Console moved left one character

Expected results:
Image aligned with physical screen.

Additional info:
Comment 1 Al Thomas 2009-08-17 17:17:31 EDT
Created attachment 357707 [details]
X11 screen moved down one line - slightly clearer image of top of screen
Comment 2 Al Thomas 2009-08-17 17:18:30 EDT
Created attachment 357708 [details]
screenshot VGA console - moved left one character
Comment 3 Al Thomas 2009-08-17 17:19:21 EDT
Created attachment 357709 [details]
Xorg.0.log
Comment 4 Al Thomas 2009-08-17 17:19:54 EDT
Created attachment 357710 [details]
smoltprofile.txt
Comment 5 Al Thomas 2009-08-17 17:20:19 EDT
Created attachment 357711 [details]
dmesg
Comment 6 Matěj Cepl 2009-11-05 13:36:27 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Al Thomas 2009-11-22 10:12:31 EST
Now tested with Fedora 12 and the X11 screen and console are still one line down.

Workaround
----------
Go to System -> Preferences -> Display on desktop and change display frequency to another setting. The screen is then aligned correctly.

Events that trigger the screen to move one line down
-----------------------------------------------------
1. Initial start up - log in screen is one line down
2. Switch to console (Ctrl+Alt+F2) and back to X11
3. Start Totem 
4. Start Internet Explorer using Wine
5. Wake X11 after screen saver activated
Comment 8 Al Thomas 2010-03-27 07:26:11 EDT
Now tested with kernel-2.6.33.1-21.fc13 and the workaround no longer works. The display image is permanently down by one line. Please change to high priority.
Comment 9 Al Thomas 2010-09-28 14:03:26 EDT
Now tested with graphics_test_201009-i686.iso and still present. Unfortunately non of the work arounds that could be used in F12 and before work. 

There is now a period judder of the screen every few seconds and in F14 Alpha a notification kept appearing saying it could not set the virtual desktop size to 1,1.

This bug has stopped me upgrading from F12.
Comment 10 Adam Williamson 2010-09-28 14:06:38 EDT
Thanks, Al, bumping to 14 then.

"in F14 Alpha a notification kept appearing saying it could not set the virtual desktop size to 1,1."

this was a separate, unrelated bug.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Al Thomas 2011-02-26 10:38:37 EST
Tested with gfx_test_week_20110221_i386.iso and bug still there.

https://bugzilla.redhat.com/show_bug.cgi?id=679366 seems related.
Comment 12 Al Thomas 2011-05-28 12:34:51 EDT
Tested with F15 and still present
Comment 13 Al Thomas 2011-05-30 12:48:38 EDT
Dowloaded latest Nouveau drivers from git://anongit.freedesktop.org/nouveau/linux-2.6 and framebuffer console is properly aligned and no flicker. CONFIG_VT_HW_CONSOLE_BINDING compile option was set. So looking promising from upstream.
Comment 14 Fedora End Of Life 2012-08-06 15:55:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora End Of Life 2012-08-06 15:58:07 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.